Deployer service for bots, themes, ai and more.

### Hierarchy

- GBDeployer

## Index

### Constructors

- constructor

### Properties

- core
- importer
- workDir

### Methods

- deployBot
- deployPackageFromLocalPath
- deployPackageToStorage
- deployTheme
- getPackageByName
- scanBootPackage
- undeployPackageFromLocalPath

## Constructors

### constructor

- new GBDeployer(core: IGBCoreService, importer: GBImporter): GBDeployer

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:65

  #### Parameters

  - ##### core: IGBCoreService

  - ##### importer: GBImporter

  #### Returns GBDeployer

## Properties

### core

core: IGBCoreService

- Defined in deploy/core.gbapp/services/GBDeployer.ts:61

### importer

importer: GBImporter

- Defined in deploy/core.gbapp/services/GBDeployer.ts:63

### workDir

workDir: string = "./work"

- Defined in deploy/core.gbapp/services/GBDeployer.ts:65

## Methods

### deployBot

- deployBot(localPath: string, cb: GBServiceCallback<any>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:73

  Deploys a bot to the storage.

  #### Parameters

  - ##### localPath: string

  - ##### cb: GBServiceCallback<any>

  #### Returns void

### deployPackageFromLocalPath

- deployPackageFromLocalPath(localPath: string, cb: GBServiceCallback<any>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:117

  #### Parameters

  - ##### localPath: string

  - ##### cb: GBServiceCallback<any>

  #### Returns void

### deployPackageToStorage

- deployPackageToStorage(instanceId: number, packageName: string, cb: GBServiceCallback<GuaribasPackage>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:90

  #### Parameters

  - ##### instanceId: number

  - ##### packageName: string

  - ##### cb: GBServiceCallback<GuaribasPackage>

  #### Returns void

### deployTheme

- deployTheme(localPath: string, cb: GBServiceCallback<any>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:103

  #### Parameters

  - ##### localPath: string

  - ##### cb: GBServiceCallback<any>

  #### Returns void

### getPackageByName

- getPackageByName(instanceId: number, packageName: string, cb: GBServiceCallback<GuaribasPackage>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:183

  #### Parameters

  - ##### instanceId: number

  - ##### packageName: string

  - ##### cb: GBServiceCallback<GuaribasPackage>

  #### Returns void

### scanBootPackage

- scanBootPackage(cb: GBServiceCallback<boolean>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:208

  Hot deploy processing.

  #### Parameters

  - ##### cb: GBServiceCallback<boolean>

  #### Returns void

### undeployPackageFromLocalPath

- undeployPackageFromLocalPath(instance: IGBInstance, localPath: string, cb: GBServiceCallback<any>): void

- - Defined in deploy/core.gbapp/services/GBDeployer.ts:147

  #### Parameters

  - ##### instance: IGBInstance

  - ##### localPath: string

  - ##### cb: GBServiceCallback<any>

  #### Returns void

Generated using TypeDoc